CD Projekt Red подтвердила, что моды для Cyberpunk 2077 и сторонние сохранения небезопасно использовать из-за уязвимости

0
9

CD Projekt Red подтвердила, что моды для Cyberpunk 2077 и сторонние сохранения небезопасно использовать из-за уязвимости

2 февраля 2021 года студия CD Projekt Red предупредила пользователей, что сторонние сохранения и моды для Cyberpunk 2077 небезопасно использовать из-за уязвимости в игре. Злоумышленники могут получить контроль над системой игрока через внешние библиотеки dll с вредоносным кодом, которые игра задействует для своей работы, а в некоторых случаях даже требует их наличия. Уязвимость, позволяющая выполнять произвольный код из-за переполнения буфера, есть в текущих версиях игры для ПК и консоли PS4, она не устранена в патче 1.1 для Cyberpunk 2077.

Разработчики пообещали устранить проблему как можно скорее, но точную дату выпуска патча не раскрыли. CD Projekt Red посоветовала пользователям воздержаться от использования сторонних модов и чужих сохранений ради их безопасности.

ЧИТАТЬ ТАКЖЕ:  Американский «newspace» вырвался вперед. Запуски года: 5 всего, 4 от США

В конце января этого года пользователь Reddit рассказал об обнаруженной им уязвимости в системе безопасности игры, связанной с использованием сторонних dll в некоторых модах, а также при открытии чужих файлов сохранений. По утверждению автора публикации, эта уязвимость могла быть использована для проникновения на официальные серверы CDPR.

Разработчик под ником yamashi выложил на GitHub попатченный от этой уязвимости набор библиотек Cyber Engine Tweaks, который фанаты игры используют для запуска различных скриптов и модов. Сторонний патч к игре доступен для версии на ПК, файлы Cyber Engine Tweaks 1.9.6 нужно скопировать в папку «Cyberpunk 2077binx64». Разработчик уточнил, что после этого, в худшем случае, игра начнет вылетать, если пользователь активирует мод или запустит сохраненную игру с вредоносным кодом.

ЧИТАТЬ ТАКЖЕ:  «Газпром-медиа» запустит видеосервис по типу TikTok

В конце декабря 2020 года разработчики Cyberpunk 2077 предупредили пользователей об ошибке с файлами сохранения. Оказалось, что если сохранение будет размером более 8 МБ, то при попытке загрузки игры оно повреждается и не может быть восстановлено. Эту проблему CD Projekt Red устранила в патче 1.06.

22 января CD Projekt Red выпустила глобальный патч 1.1, устраняющий большое количество ошибок в игре. Как оказалось, в этом патче были ошибки, которые ломали некоторые квесты. Разработчики через шесть дней выпустили хотфикс 1.11, которые исправлял проблемы после установки патча 1.1.

ЧИТАТЬ ТАКЖЕ:  Исследователь взломал системы 35 крупных IT-компаний путем атаки на цепочку поставок

В конце января 2021 года CD Projekt Red открыла страницу с официальными инструментами для создания модификаций и изменений для Cyberpunk 2077.

ОСТАВЬТЕ ОТВЕТ

Пожалуйста, введите ваш комментарий!
пожалуйста, введите ваше имя здесь